#pragma once

#include "social.h"
#include <conf.h>

namespace blogi {
namespace social {

    class Facebook : public SocialBackend {
    public:
        Facebook(PluginArgs *args) : _args(args) {}

        const std::string name() const override { return "facebook"; }

        bool supports(SharePostType type) const override {
            return type == ShareText;
        }

        void share(const int tid, SharePostType type, const std::string &url,
                   const std::string &title, const std::string &description) override;
    private:
        PluginArgs *_args;
    };

} // namespace social
} // namespace blogi

